# Social.Coop Tech Group: Operations repository

This is the home of the social.coop tech group!

## Useful repos/places/links

- this repo [tech/operations](https://git.coop/social.coop/tech/operations)
- [issues](https://git.coop/social.coop/tech/operations/-/issues)
- meetings
    - every 2 weeks on Wednesday at 19:30 UTC on even numbered [ISO weeks](https://www.epochconverter.com/weeknumbers)
    - [meeting pad](https://codi.kanthaus.online/social.coop)
    - [tech meeting minutes](https://www.loomio.org/d/UwAeiBgE/tech-meeting-minutes)
- communication
    - [matrix chat #socialcoop-tech:matrix.org](https://riot.im/app/#/room/#socialcoop-tech:matrix.org)
    - [tech loomio group](https://www.loomio.org/g/Mtb0FrvX/social-coop-tech-working-group)
- tech governance
    - [server access](https://www.loomio.org/d/jrbG5tue/server-access) (to vote for giving people access to server)
- server config
  - [ansible](https://git.coop/social.coop/tech/ansible)
  - [sauce repo](https://git.coop/social.coop/tech/sauce) (to be full replaced by ansible)

## Domain name

| what? | where? |
|---|---|
| registrar | [gandi](https://www.gandi.net) |
| registrant | organization: _Xarxa integral de professionals i usuaries_ |
| nameservers / DNS | [cloudflare](https://www.cloudflare.com) (for DDOS protection) | 

## Passwords

We use [pass](https://www.passwordstore.org/) for password management, passwords are stored in our [pass repo](https://git.coop/social.coop/tech/pass).

## Email

### Transactional email

We use [mailgun](https://www.mailgun.com/) for emails sent by mastodon.

### @social.coop email addresses

`@social.coop` email is handled by [webarch.mail](https://webarch.email/). From there you can setup email aliases, forwarding, etc...

Aliases we use:
- `tech.group@social.coop`
- `admin@social.coop`

## git

Our git _home_ is [git.coop/social.coop/tech](https://git.coop/social.coop/tech)

## Media storage

We use DigitalOcean Spaces to store mastodon media images.

## Backups

Database backups are stored in our DigitalOcean Space. Configure by the [pg-dump-to-s3](https://git.coop/social.coop/tech/ansible/-/tree/master/roles/pg-dump-to-s3) ansible role.

There is nothing else stateful on the server (I think!).

## Monitoring / metrics

We have some server metrics setup with [datadog](https://www.datadoghq.com/).

## Server

We have a dedicated server at [Hetzner](https://www.hetzner.com/):
- 32GB RAM (4x RAM 8192 MB DDR3)
- i7-4770 CPU @ 3.40GHz).
- 2x 250 GB disks (SSD)
- Ubuntu 18.04

The disks are arranged as:

```
NAME          MAJ:MIN RM   SIZE RO TYPE MOUNTPOINT
sda             8:0    0 223.6G  0 disk 
├─sda1          8:1    0     1G  0 part /boot
└─sda2          8:2    0 222.6G  0 part 
  ├─vg0-root1 253:0    0    25G  0 lvm  /
  ├─vg0-root2 253:1    0    25G  0 lvm  
  └─vg0-opt   253:2    0 396.1G  0 lvm  /opt
sdb             8:16   0 223.6G  0 disk 
└─sdb1          8:17   0 223.6G  0 part 
  └─vg0-opt   253:2    0 396.1G  0 lvm  /opt
```

Using LVM such that we have:

```
  LV    VG  Attr       LSize   Pool Origin Data%  Meta%  Move Log Cpy%Sync Convert
  opt   vg0 -wi-ao---- 396.13g                                                    
  root1 vg0 -wi-ao----  25.00g                                                    
  root2 vg0 -wi-a-----  25.00g 
```

`opt` is mounted at `/opt`.
